<ion-content>
    <form [formGroup]="vendorTypeForm"  (ngSubmit)="onSubmit(vendorTypeForm.value)">
        <div class="modal-content ms-modal-content">
            <ion-list>
                <ion-item *ngFor="let type of vendorTypes" lines="none" class="line-item">
                    <ion-label class="label-case">{{type}}</ion-label>
                    <ion-checkbox slot="end" color="secondary" formControlName="{{type}}"></ion-checkbox>
                </ion-item>
            </ion-list>
        </div>
    </form>
</ion-content>
<ion-footer>
    <div class="ms-mob-footer">
        <button (click)="addOthers()" class="ms-btn ms-icon-btn ms-btn-secondary ms-full-width no-gutter">
            <span>tap if not found in list</span>
            <span class="ms-btn-ico">
                <i class="fas fa-arrows-alt"></i>
            </span>
        </button>

        <div style="height:1em;"></div>

        <button (click)="dismiss()" class="ms-btn ms-icon-btn ms-btn-primary ms-full-width no-gutter">
            <span>add to list</span>
            <span class="ms-btn-ico">
                <i class="ms-Icon ms-Icon--Add"></i>
            </span>
        </button>
      </div>
</ion-footer>
